module HY601(clk,rst,L);

input clk,rst;
output [7:0]L;

//50MHz
parameter T1S=27'd50000000;
// 改变定义的参数T1S的大小，更改每位LED灯亮的时间

reg [7:0]led;
reg [31:0]C1;

always @(posedge clk,negedge rst)

if(!rst)   
	begin
		led[7:0]<=8'b10000000; 
		C1<=32'd0; 
	end

else if(C1==T1S)         
	begin
		led<={led[0],
		led[7:1]}; 
		C1<=32'd0; 
	end
    
else 
	begin 
		led<=led; 
		C1<=C1+1'b1; 
	end

assign L = ~led;

endmodule